# ApiEcsDownloadAndDistributeArgs Data Model

Represents arguments for downloading and distributing a file from ECS parcel. This class encapsulates parameters needed for the download and distribution process.

Properties
name | data type | description
--- | --- | ---
workDir | string | Gets the working directory for the download and distribution process.
packageName | string | Gets the name of the file to be downloaded and distributed.
remoteRepoUrl | string | Gets the URL of the remote repository from which to download the file.

Example

    {
      "workDir" : "...",
      "packageName" : "...",
      "remoteRepoUrl" : "..."
    }